> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Voicemail Box

> Get a single voicemail box by ID, including greetings and destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/voicemail-settings/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/voicemail-settings/{id}:
    get:
      tags:
        - Voicemail Settings
      summary: Get Voicemail Box
      description: Get a single voicemail box by ID, including greetings and destinations
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Voicemail box ID
      responses:
        '200':
          description: Voicemail box details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  tenantId:
                    anyOf:
                      - type: number
                      - type: 'null'
                  mailbox:
                    anyOf:
                      - type: string
                      - type: 'null'
                  fullName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  context:
                    anyOf:
                      - type: string
                      - type: 'null'
                  branch:
                    description: Owning branch
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                  email:
                    anyOf:
                      - type: string
                      - type: 'null'
                  greetings:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          anyOf:
                            - type: string
                            - type: 'null'
                        dir:
                          anyOf:
                            - type: string
                            - type: 'null'
                        mediaUrl:
                          anyOf:
                            - type: string
                            - type: 'null'
                      additionalProperties: {}
                required:
                  - id
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````